"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.subtract = exports.intersect = exports.unite = void 0;
function unite(paths, options = {}) {
    return paths.reduce((path1, path2) => {
        const newPath = path1.unite(path2, options);
        if (options.removeOld) {
            path1.remove();
            path2.remove();
        }
        return newPath;
    });
}
exports.unite = unite;
function intersect(paths, options = {}) {
    return paths.reduce((path1, path2) => {
        const newPath = path1.intersect(path2, options);
        if (options.removeOld) {
            path1.remove();
            path2.remove();
        }
        return newPath;
    });
}
exports.intersect = intersect;
function subtract(paths, options = {}) {
    return paths.reduce((path1, path2) => {
        const newPath = path1.subtract(path2, options);
        if (options.removeOld) {
            path1.remove();
            path2.remove();
        }
        return newPath;
    });
}
exports.subtract = subtract;
//# sourceMappingURL=boolean.js.map