"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.intersects = void 0;
const core_1 = require("./core");
function intersects(item1, item2) {
    if (item1 instanceof core_1.Group && item2 instanceof core_1.Group) {
        return item1.children.some((child1) => {
            return item2.children.some((child2) => {
                return intersects(child1, child2);
            });
        });
    }
    if (!(item1 instanceof core_1.Group) && !(item2 instanceof core_1.Group)) {
        return item1.intersects(item2);
    }
    if (item1 instanceof core_1.Group) {
        return item1.children.some((child) => {
            return intersects(child, item2);
        });
    }
    if (item2 instanceof core_1.Group) {
        return item2.children.some((child) => {
            return intersects(item1, child);
        });
    }
}
exports.intersects = intersects;
//# sourceMappingURL=group-intersects.js.map