import { Group, Item } from "./core";

export function intersects(item1: Item, item2: Item): boolean {
  if (item1 instanceof Group && item2 instanceof Group) {
    return item1.children.some((child1) => {
      return item2.children.some((child2) => {
        return intersects(child1 as any, child2 as any);
      });
    });
  }

  if (!(item1 instanceof Group) && !(item2 instanceof Group)) {
    return item1.intersects(item2);
  }

  if (item1 instanceof Group) {
    return item1.children.some((child) => {
      return intersects(child as any, item2);
    });
  }

  if (item2 instanceof Group) {
    return item2.children.some((child) => {
      return intersects(item1, child as any);
    });
  }
}
