import { Point, Size } from "./core";

export * from "./core";
export * from "./boolean";
export * from "./group-intersects";
export * from "./regular-shape";
export * from "./finger-joints";

export type PathType = paper.Path | paper.CompoundPath;

export function isPathType(path: PathType | any): path is PathType {
  return path instanceof paper.Path || path instanceof paper.CompoundPath;
}

export function point(x: number, y: number): Point;
export function point(array: any[]): Point;
export function point(size: Size): Point;
export function point(point: Point): Point;
export function point(object: object): Point;
export function point(...args: [any, any?]): Point {
  return new Point(...args);
}

export const origin = point(0, 0);

export function size(width: number, height: number): Size;
export function size(array: any[]): Size;
export function size(size: Size): Size;
export function size(point: Point): Size;
export function size(object: object): Size;
export function size(...args: [any, any?]): Size {
  return new Size(...args);
}
